# Generated from smart_proxy_onboard-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name smart_proxy_onboard

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Support functions for onboarding new servers into Foreman
License: GPL-3.0
URL: https://github.com/theforeman/smart_proxy_onboard
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit)
# BuildRequires: rubygem(rack)
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
This plugin exposes API calls that can be used to onboard new hosts in bulk
into Foreman through PXE boot and the foreman_discovery image.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/settings.d
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/smart_proxy_onboard.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.2.1-1
- Initial package
